curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobParts": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"initialSegmentId": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings"
payload = {
"jobParts": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"initialSegmentId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobParts: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}], initialSegmentId: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'jobParts' => [
[
'uid' => '3HYnHHLkTPJfMxBCDbPXFe'
]
],
'initialSegmentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings"
payload := strings.NewReader("{\n \"jobParts\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"initialSegmentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"jobParts\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"initialSegmentId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"jobParts\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"initialSegmentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"endReached": true,
"everEvaluated": true,
"segmentWarnings": [
{
"jobPartUid": "<string>",
"segmentId": "<string>",
"warnings": [
{
"message": "<string>",
"qeId": "<string>",
"type": "<string>"
}
]
}
]
}Get QE warnings for selected job parts
Returns AI-generated quality estimation warnings for the selected job parts. Only call this after the async evaluation job started by POST /api2/v1/projects//jobs/evaluateQuality has completed (asyncResponse != null on GET /api2/v1/async/). Calling before completion returns empty segmentWarnings — this is not a clean result, it means the evaluation is still running. Each response covers up to 100 segments (fewer if the end of the scan range is reached). Pagination is cursor-based: omit initialSegmentId on the first request to start from the first segment; on subsequent requests, pass the last segmentId from the previous response’s segmentWarnings. endReached=true signals there are no further segments. All job parts must belong to the same project and workflow step.
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobParts": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"initialSegmentId": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings"
payload = {
"jobParts": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"initialSegmentId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobParts: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}], initialSegmentId: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'jobParts' => [
[
'uid' => '3HYnHHLkTPJfMxBCDbPXFe'
]
],
'initialSegmentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings"
payload := strings.NewReader("{\n \"jobParts\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"initialSegmentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"jobParts\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"initialSegmentId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/qualityProfiles/qeWarnings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"jobParts\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"initialSegmentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"endReached": true,
"everEvaluated": true,
"segmentWarnings": [
{
"jobPartUid": "<string>",
"segmentId": "<string>",
"warnings": [
{
"message": "<string>",
"qeId": "<string>",
"type": "<string>"
}
]
}
]
}Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
Response
OK
Was this page helpful?